## This file was auto-generated by CloudCoreo CLI
## This file was automatically generated using the CloudCoreo CLI
##
## This config.rb file exists to create and maintain services not related to compute.
## for example, a VPC might be maintained using:
##
## coreo_aws_vpc_vpc "my-vpc" do
##   action :sustain
##   cidr "12.0.0.0/16"
##   internet_gateway true
## end
##

coreo_aws_ec2_securityGroups "mgmt-sg" do
  action :sustain
  description "Open vpn connections to the world"
  vpc "${VPC_NAME}"
  allows [ 
          { 
            :direction => :ingress,
            :protocol => :tcp,
            :ports => [22],
            :cidrs => ["10.0.0.0/8"],
          },{ 
            :direction => :egress,
            :protocol => :tcp,
            :ports => ["0..65535"],
            :cidrs => ["0.0.0.0/0"],
          }
    ]
end

coreo_aws_ec2_instance "mgmt" do
  action :define
  image_id "ami-2c78d344"
  size "m3.medium"
  security_groups ["mgmt-sg"]
  ssh_key "tools-prod"
end

coreo_aws_ec2_autoscaling "mgmt" do
  action :sustain 
  minimum 1
  maximum 1
  server_definition "mgmt"
  subnet "${PRIVATE_SUBNET_NAME}"
end
